﻿@{
    ViewBag.Title = "Company Objective";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}

<script type="text/javascript">

    $(document).ready(function () {
        void function loadAppParam() {
            var GetDetail = '@Url.Action("getCompanyObjectiveDetail", "CompanyFinData", new { rowid = @ViewBag.RowId })';
            $.ajax(GetDetail, {
                contentType: 'application/json; charset=utf-8',
                dataType: 'json',
                type: 'POST',
                success: function (GetDetail) {
                    if (GetDetail.success) {
                        document.getElementById("txtCompanyObjective").value = GetDetail.companyobjective;
                    }
                },
                error: function () {

                }
            });
        }
        ();





        $("#btnSave").click(function () {
            //validation
            if ($('#txtCompanyObjective').val().length == 0 ){
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill mandatory field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            } else {

                //confirmation
                bootbox.confirm({
                    title: "<i class='fa fa-warning fa-2x'></i> Save Confirmation",
                    message: 'Are you sure you want to save this data. <br>If not, click Cancel',
                    buttons: {
                        'cancel': {
                            label: '<i class="fa fa-times"></i> Cancel',
                            className: 'btn-default pull-left'
                        },
                        'confirm': {
                            label: '<i class="fa fa-check"></i> Yes, Continue save',
                            className: 'btn-primary pull-right'
                        }
                    },
                    callback: function (result) {
                        if (result) {
                            var ComObjList = [
                                 {
                                     id: '@ViewBag.RowId'
                                     , companyobjective: $('#txtCompanyObjective').val()
                                 }
                            ];

                            ComObjList.push();

                            var formData = new FormData();
                            formData.append("ComObjList", JSON.stringify(ComObjList));


                            //Save Process
                            $.ajax({
                                type: "POST",
                                url: '@Url.Action("SaveCompanyObjective", "CompanyFinData")',
                                data: formData,
                                dataType: 'json',
                                contentType: false,
                                processData: false,
                                //beforeSend: function () {
                                //    //$("#loader").show();
                                //},
                                success: function (data) {
                                    bootbox.dialog({
                                        message: data.message,
                                        title: data.title,
                                        buttons: {
                                            main: {
                                                label: "<i class='fa fa-check'></i> Ok",
                                                className: "btn-primary",
                                                callback: function () {
                                                    if (result) {
                                                        if (data.status) {
                                                            window.location.href = '@Url.Action("CompanyObjective", "CompanyFinData")' + "?comfinid=" + '@ViewBag.ComFinId';
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    });
                                }
                            });

                        }
                    }
                });
            }


        });

    });


</script>

<style>
    .label-def-margin {
        margin-top: 6px;
    }

    .required:after {
        content: "*";
        color: red;
    }
</style>


<div class="col-sm-12">
   <div class="panel panel-primary" style="margin-bottom: 0;">
        <div class="panel-heading">
            Edit Company Objective
        </div>
        <div class="panel-body">
            
            <div class="row">
                <div class="col-sm-2"><label class="required label-def-margin" for="txtCompanyObjective">Company Objective</label></div>
                <div class="col-sm-10"><textarea class="form-control" rows="5" id="txtCompanyObjective"></textarea></div>
            </div>
            
        </div>
        <div class="panel-footer">
            <div class="row">
                <div class="col-sm-1">
                    <button type="button" class="btn btn-primary" id="btnSave">
                        <span class="glyphicon glyphicon-floppy-disk"></span> Save
                    </button>
                </div>
                <div class="col-sm-1">
                    <button type="button" class="btn btn-primary" onclick="@("window.location.href='" + @Url.Action("CompanyObjective", "CompanyFinData") + "?comfinid='")+@ViewBag.ComFinId;">
                        <span class="glyphicon glyphicon-circle-arrow-left"></span> Back
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>